Get Task status statistics grouped by the close day

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
GET /task-stats-close-day

Retrieve Task status statistics grouped by the close day, categorized by entity ID and close period ID.

Query parameters

  • statsSearchCriteria object Required
    Hide statsSearchCriteria attributes Show statsSearchCriteria attributes object
    • name string

      If you specify name as a search criterion, it will include all search results which contains specified name. NOTE: It will not work only as exact match.

    • status string

      Close search filter based on the status enum as per defined values.

      Values are ACTIVE, INACTIVE, DISABLED, NOT_STARTED, IN_PROGRESS, COMPLETE, or DELETED.

    • entityId integer(int32) Required

      periodId for filtering Stats based on specific entity.

    • periodId integer(int32) Required

      periodId for filtering Stats based on specific period.

    • bsoLevels array[string]

      Optional list of BSO levels for filtering.

Responses

  • 200 application/json

    API to get Task status Stats grouped by Close Day based on entity Id and closePeriodId

    Hide response attribute Show response attribute object
    • closeDays array[object]
      Hide closeDays attributes Show closeDays attributes object
      • name string
      • closeDate string(date-time)
      • completeCount integer(int32)
      • inProcessCount integer(int32)
      • lateCount integer(int32)
      • dayOrder integer(int32)
  • 400 application/json

    Invalid data requested. Error Code(s): [CLOSE_INVALID_STATS]

    Hide response attributes Show response attributes object
    • statusCode string
    • code string
    • message string
    • referenceId string
    • details object
      Hide details attribute Show details attribute object
      • localizedMessage string
  • 500 application/json

    System Error. Error Code(s): [CLOSE_DATA_STATS_ERROR, CLOSE_APP_STATS_ERROR]

    Hide response attributes Show response attributes object
    • statusCode string
    • code string
    • message string
    • referenceId string
    • details object
      Hide details attribute Show details attribute object
      • localizedMessage string
GET /task-stats-close-day
curl \
 --request GET 'https://usaapi02.cadencyservices.trintech.com/test/api/task-stats-close-day?statsSearchCriteria=%7B%7D' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "closeDays": [
    {
      "name": "string",
      "closeDate": "2026-05-04T09:42:00Z",
      "completeCount": 42,
      "inProcessCount": 42,
      "lateCount": 42,
      "dayOrder": 42
    }
  ]
}
Response examples (400)
{
  "statusCode": "string",
  "code": "string",
  "message": "string",
  "referenceId": "string",
  "details": {
    "localizedMessage": "string"
  }
}
Response examples (500)
{
  "statusCode": "string",
  "code": "string",
  "message": "string",
  "referenceId": "string",
  "details": {
    "localizedMessage": "string"
  }
}